package com.sa.ibiz.demo.demo.logic.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.HTMapper;
import com.sa.ibiz.demo.demo.domain.HT;
import com.sa.ibiz.demo.demo.service.HTService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.HTSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;
import org.kie.api.runtime.KieSession;
import com.sa.ibiz.demo.demo.logic.HTLogic;
import java.util.HashMap;
import org.kie.api.runtime.KieContainer;
import com.sa.ibiz.demo.ibizutil.errors.BadRequestAlertException;
import org.aspectj.lang.annotation.Aspect;
/**
 * 实体[HT] 处理逻辑接口实现
 */
@Service
public class HTLogicImpl  implements  HTLogic{


    @Autowired
    private KieContainer kieContainer;

    @Autowired
    private com.sa.ibiz.demo.demo.service.XMService xmservice;
    @Autowired
    private com.sa.ibiz.demo.demo.service.HTService iBzSysDefaultService;

	public boolean getXminfo(HT et){
           KieSession kieSession = null;
        try{
           kieSession=kieContainer.newKieSession();
           com.sa.ibiz.demo.demo.domain.XM  htgetxminfoxm =new com.sa.ibiz.demo.demo.domain.XM();
           kieSession.insert(htgetxminfoxm); 
           kieSession.setGlobal("htgetxminfoxm",htgetxminfoxm);
           kieSession.insert(et); 
           kieSession.setGlobal("htgetxminfodefault",et);
           kieSession.setGlobal("xmservice",xmservice);
           kieSession.setGlobal("iBzSysDefaultService",iBzSysDefaultService);
           kieSession.startProcess("com.sa.ibiz.demo.demo.logic.htlogic.getxminfo");

        }catch(Exception e){
            throw new BadRequestAlertException("执行[获取项目信息]处理逻辑发生异常"+e,"","");
        }finally {
            if(kieSession!=null)
            kieSession.destroy();
        }
            return true;
    }

}